ru.bitel.bgbilling.kernel.contract.balance.server.event

## Class ContractBalanceChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.kernel.contract.balance.server.event.ContractBalanceChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractBalanceChangedEvent
      extends PoolEvent

  Событие топик, рассылающееся всем приложениям об изменении баланса.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RESERVE_CHANGE` Создание резерва или его изменение.
    `static int` | `RESERVE_CLOSE` Закрыте резерва.
    `static int` | `TYPE_ACCOUNT_CHANGE` Изменение наработки на указанную сумму
    `static int` | `TYPE_ACCOUNT_SET` Установка наработки.
    `static int` | `TYPE_CHARGE_CHANGE` Изменение расхода на указанную сумму.
    `static int` | `TYPE_PAYMENT_CHANGE` Изменение прихода на указанную сумму.

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractBalanceChangedEvent()`
    `` | `ContractBalanceChangedEvent(int contractId, java.math.BigDecimal summa)` Deprecated. Use `ContractBalanceChangedEvent(int,int,BigDecimal)` instead
    `` | `ContractBalanceChangedEvent(int contractId, int type, java.math.BigDecimal summa)` Конструктор создания события об изменние платежа или расхода
    `` | `ContractBalanceChangedEvent(int contractId, int type, java.util.Date date, java.math.BigDecimal summa)`
    `` | `ContractBalanceChangedEvent(int contractId, int type, int year, int month, java.math.BigDecimal summa)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMonth()`
    `java.math.BigDecimal` | `getSumma()`
    `int` | `getType()`
    `int` | `getYear()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ACCOUNT_CHANGE

          public static final int TYPE_ACCOUNT_CHANGE

      Изменение наработки на указанную сумму
      See Also:
        Constant Field Values

    - #### TYPE_ACCOUNT_SET

          public static final int TYPE_ACCOUNT_SET

      Установка наработки.
      See Also:
        Constant Field Values

    - #### TYPE_PAYMENT_CHANGE

          public static final int TYPE_PAYMENT_CHANGE

      Изменение прихода на указанную сумму.
      See Also:
        Constant Field Values

    - #### TYPE_CHARGE_CHANGE

          public static final int TYPE_CHARGE_CHANGE

      Изменение расхода на указанную сумму.
      See Also:
        Constant Field Values

    - #### RESERVE_CHANGE

          public static final int RESERVE_CHANGE

      Создание резерва или его изменение.
      See Also:
        Constant Field Values

    - #### RESERVE_CLOSE

          public static final int RESERVE_CLOSE

      Закрыте резерва.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractBalanceChangedEvent

          protected ContractBalanceChangedEvent()

    - #### ContractBalanceChangedEvent

          public ContractBalanceChangedEvent(int contractId,
                                             int type,
                                             int year,
                                             int month,
                                             java.math.BigDecimal summa)

    - #### ContractBalanceChangedEvent

          public ContractBalanceChangedEvent(int contractId,
                                             int type,
                                             java.util.Date date,
                                             java.math.BigDecimal summa)

    - #### ContractBalanceChangedEvent

          public ContractBalanceChangedEvent(int contractId,
                                             java.math.BigDecimal summa)

      Deprecated. Use `ContractBalanceChangedEvent(int,int,BigDecimal)` instead
      Конструктор создания события об изменние платежа или расхода
      Parameters:
        `contractId` -
        `summa` -

    - #### ContractBalanceChangedEvent

          public ContractBalanceChangedEvent(int contractId,
                                             int type,
                                             java.math.BigDecimal summa)

      Конструктор создания события об изменние платежа или расхода
      Parameters:
        `contractId` -
        `type` - TODO
        `summa` -

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getYear

          public int getYear()

    - #### getMonth

          public int getMonth()

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`